Bug 845699 - Kernel/Alsa incorrectly detects phased internal microphone (Realteck ALC272X)
Kernel/Alsa incorrectly detects phased internal microphone (Realteck ALC272X)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 18:36 EDT by Nathanael Noblet
Modified: 2013-08-22 20:43 EDT (History)
9 users (show)

See Also:
Fixed In Version: kernel-3.10.9-200.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-22 20:30:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to get the hardware detected properly... (523 bytes, patch)
2013-08-15 16:29 EDT, Nathanael Noblet
no flags Details | Diff
Updated patch (591 bytes, patch)
2013-08-16 11:38 EDT, Nathanael Noblet
no flags Details | Diff

  None (edit)
Description Nathanael Noblet 2012-08-03 18:36:32 EDT
Description of problem:
Internal microphone doesn't detect sound.

Version-Release number of selected component (if applicable):
All versions tested to date

How reproducible:
Always

Steps to Reproduce:
1. open sound settings. No audio is detected on the input tab
2.
3.
  
Actual results:
No input audio

Expected results:
Working Mic

Additional info:
I'm not entirely sure where this bug exists whether pulseaudio or alsa however what seems to be happening is that it detects a microphone with some kind of noise cancelling channel to be a stereo mic and so locks both channels at the same level, thus cancelling all sound.

Using pavucontrol if you unlock the channels and bring the right channel down, suddenly everything works everywhere as expected.

I found the workaround here: https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1002978
Comment 1 Nathanael Noblet 2012-08-07 13:11:50 EDT
So I made a couple mistakes. It seems I was testing against F15 instead of F17. When I upgraded to F17 the microphone no longer works period. The pavucontrol workaround fails to get the microphone working. So the bug still affects F17 but in a different way.
Comment 2 Nathanael Noblet 2012-08-27 15:24:50 EDT
Some additional information which points to perhaps being an alsa/pulseaudio issue. I upgraded a F15 machine's kernel to the same version as F17 (3.5.2). Sound continues to work - albeit while using the workaround described.
Comment 3 Fedora End Of Life 2013-07-03 18:59:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 21:16:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Nathanael Noblet 2013-08-15 14:13:27 EDT
So this issue is still present - in fact I'm unable to work around it now by unlocking the channels as I previously could. I get no audio from microphone no matter what I try...
Comment 6 Nathanael Noblet 2013-08-15 16:28:23 EDT
The attached patch fixes the issue. I've submitted it via email to:

Jaroslav Kysela <perex@perex.cz>
Takashi Iwai <tiwai@suse.de>
David Henningsson <david.henningsson@canonical.com>
Kailang Yang <kailang@realtek.com>
alsa-devel@alsa-project.org
linux-kernel@vger.kernel.org

However I don't know when it'll get picked up...
Comment 7 Nathanael Noblet 2013-08-15 16:29:05 EDT
Created attachment 787054 [details]
Patch to get the hardware detected properly...
Comment 8 Josh Boyer 2013-08-16 09:45:50 EDT
https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/?h=for-linus&id=1801928e0f99d94c55e33c584c5eb2ff5e246ee6

Congrats Nathanael.  Let's get this pulled in until it winds up in stable.
Comment 9 Nathanael Noblet 2013-08-16 11:38:05 EDT
Created attachment 787353 [details]
Updated patch

Yeah its great they included it. Unfortunately after sending that and testing on a couple of machines I had one more type that also needed the same type of patch. I've modified my submitted patch here on bugzilla and emailed tiwai@suse.de an updated patch...
Comment 10 Fedora Update System 2013-08-22 01:05:45 EDT
kernel-3.10.9-200.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.10.9-200.fc19
Comment 11 Fedora Update System 2013-08-22 01:06:22 EDT
kernel-3.10.9-100.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.10.9-100.fc18
Comment 12 Fedora Update System 2013-08-22 20:30:34 EDT
kernel-3.10.9-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-08-22 20:43:33 EDT
kernel-3.10.9-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.